\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}

\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-1.5,0.5) rectangle (1.5,2.5);
\fill[line width=1.5pt,color=C3,fill=C3] (-1,1) -- (1,1) -- (1,2) -- cycle;
\draw[line width=1.5pt,] (1,1.4242640687119286) -- (0.5757359312880715,1.4242640687119286) -- (0.5757359312880715,1) -- (1,1) -- cycle; 
\draw [line width=1.5pt] (-1,1)-- (1,1);
\draw [line width=1.5pt] (1,1)-- (1,2);
\draw [line width=1.5pt] (1,2)-- (-1,1);
\draw[color=black] (-1.25,0.75) node {$B$};
\draw[color=black] (1.25,0.75) node {$A$};
\draw[color=black] (1.25,2.25) node {$C$};
\end{tikzpicture}


\end{document}